コンテンツへスキップ

Digital Distribution Hub (1.0.0)

概要

Digital Distribution Hubは、プッシュペイメント技術やEコマースを介して、デジタルとキャッシュベースの決済を結びつけることを目的とした、エクソラの新しいソリューションです。

この参照は、以下の2つエクソラ製品のAPIエンドポイントを組み合わせたものです:ゲーム内ストア決済ステーション。2つのベースURLがあります:

  • 一般カタログカート、及び注文グループの場合は https://store.xsolla.com/api
  • 通知グループの場合は、https://ps.xsolla.com

カタロググループのAPIエンドポイントは認証を必要としません。

カート注文グループの操作を行うには、ユーザートークンを作成するを介してトークンを生成する必要があります。

注意

この参照は、将来のAPIのデザインを示すものであり、完全に機能するインターフェースではありません。現在は、カタログおよび通知グループのエンドポイントのみを試すことができます。ご意見をお聞かせいただける場合は、techdoc@xsolla.comまでご連絡ください。
OpenAPI記述をダウンロード
言語
サーバー
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/
操作
操作

仮想アイテム & 通貨

操作
操作

バンドルのリストを取得する

リクエスト

カタログを作成するためのバンドルリストを取得します。

注意すべてのプロジェクトには、応答で取得できるアイテムの数に制限があります。デフォルトおよび最大値は、1応答あたり50アイテムです。
セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
クエリ
limitinteger

ページにある要素数の制限。

例: limit=50
offsetinteger

リストが生成される要素の番号(0からカウントされる)。

例: offset=0
localestring

応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_listorderlong_descriptionです。

countrystring

カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

デフォルト "US"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

バンドルリストが正常に受信されました。

ボディapplication/json
itemsArray of objects(Catalog_client_bundle)
items[].​attributesArray of objects(Catalog_client-attributes-common)

アイテムに対応する属性とその値のリスト。カタログのフィルタリングに使用できます。

デフォルト []
items[].​attributes[].​external_idstring(Catalog_admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

一意の属性ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。

例: "attribute_1"
items[].​attributes[].​namestring

属性の名前。

例: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(Catalog_value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性の一意の値ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。

例: "attribute_value"
items[].​attributes[].​values[].​valuestring

属性の値。

例: "Strategy"
items[].​bundle_typestring(Catalog_bundle_type)

バンドルタイプ。この場合、それは常にstandartです。

例: "standart"
items[].​contentArray of objects(Catalog_client_content)

バンドルパッケージの内容。

例: [{"attributes":[],"description":"Big Rocket - short description.","groups":[],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","is_free":false,"name":"Big Rocket","price":{"amount":10.99,"amount_without_discount":10.99,"currency":"USD"},"quantity":100,"sku":"big_rocket","type":"virtual_currency"}]
items[].​content[].​descriptionstring

アイテム説明。

例: "Big Rocket - description"
items[].​content[].​image_urlstring

画像のURL。

例: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​content[].​namestring

アイテム名。

例: "Big Rocket"
items[].​content[].​priceobject or null

アイテム価格。

items[].​content[].​price.​amountstring

割引アイテム価格。

例: "100.99"
items[].​content[].​price.​amount_without_discountstring

アイテム価格。

例: "100.99"
items[].​content[].​price.​currencystring

デフォルトの購入通貨。ISO 4217ごとの3文字のコード。

例: "USD"
items[].​content[].​quantityinteger

パッケージ内のアイテムの数量。

例: 250
items[].​content[].​skustring

一意のアイテムID。SKUには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。

例: "big_rocket"
items[].​content[].​typestring

アイテムのタイプ:virtual_good/virtual_currency/bundle

例: "virtual_currency"
items[].​content[].​virtual_pricesArray of objects

仮想価格。

items[].​content[].​virtual_prices[].​amountinteger

仮想通貨での割引アイテム価格。

例: 100
items[].​content[].​virtual_prices[].​amount_without_discountinteger

アイテム価格。

例: 200
items[].​content[].​virtual_prices[].​descriptionstring

仮想通貨の説明。

例: "Big Rocket - description"
items[].​content[].​virtual_prices[].​image_urlstring

仮想通貨の画像。

例: "http://image.png"
items[].​content[].​virtual_prices[].​is_defaultboolean

アイテムの価格がデフォルトであるかどうか。

例: true
items[].​content[].​virtual_prices[].​namestring

仮想通貨名。

例: "SHOTGUN FOR TRUE RAIDERS"
items[].​content[].​virtual_prices[].​skustring

仮想通貨アイテムSKU。

例: "vc_test"
items[].​content[].​virtual_prices[].​typestring

仮想通貨タイプ。

例: "virtual_currency"
items[].​descriptionstring or null(Catalog_client_description)

アイテム説明。

例: "Big Rocket - description."
items[].​groupsArray of objects(Catalog_groups_response)

アイテムが属するグループ。

デフォルト []
例: [{"external_id":"horror","name":{"en":"Horror"}}]
items[].​groups[].​external_idstring
例: "horror"
items[].​groups[].​nameobject
例: {"en":"Horror"}
items[].​image_urlstring or null(Catalog_image_url)

画像のURL。

例: "https://image.example.com"
items[].​is_freestring(Catalog_is_free)

常にはfalseです。

デフォルト "false"
例: "false"
items[].​namestring(Catalog_client_name)

アイテム名。

例: "Big Rocket"
items[].​priceobject or null(Catalog_price)

アイテム価格。

items[].​price.​amountstring(Catalog_amount)^\d*\.?\d*$必須

割引アイテム価格。

例: "100.99"
items[].​price.​amount_without_discountstring(Catalog_amount_without_discount)^\d*\.?\d*$必須

アイテム価格。

例: "100.99"
items[].​price.​currencystring(Catalog_currency)必須

購入通貨。ISO 4217ごとの3文字のコード。

例: "USD"
items[].​skustring(Catalog_sku)

一意のアイテムID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。

例: "bundle_1"
items[].​total_content_priceobject or null(Catalog_total_content_price)

バンドルコンテンツの価格の合計。

items[].​total_content_price.​amountstring

バンドルコンテンツの割引価格の合計。

例: "100.99"
items[].​total_content_price.​amount_without_discountstring

バンドルコンテンツの価格の合計。

例: "100.99"
items[].​total_content_price.​currencystring(Catalog_currency)

購入通貨。ISO 4217ごとの3文字のコード。

例: "USD"
items[].​typestring(Catalog_type)

アイテムタイプ。

例: "bundle"
items[].​virtual_pricesArray of objects(Catalog_virtual_prices)

仮想価格。

items[].​virtual_prices[].​amountinteger

仮想通貨での割引アイテム価格。

例: 100
items[].​virtual_prices[].​amount_without_discountinteger

仮想通貨でのアイテム価格。

例: 200
items[].​virtual_prices[].​descriptionstring or null

仮想通貨の説明。

例: "Most popular gold"
items[].​virtual_prices[].​image_urlstring or null

仮想通貨の画像。

例: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

アイテムの価格がデフォルトであるかどうか。

例: true
items[].​virtual_prices[].​namestring

仮想通貨名。

例: "Gold"
items[].​virtual_prices[].​skustring

仮想通貨アイテムSKU。

例: "gold"
items[].​virtual_prices[].​typestring

仮想通貨タイプ。

例: "virtual_currency"
レスポンス
application/json
{ "items": [ {} ] }

指定されたバンドルを取得する

リクエスト

指定されたバンドルを取得します。

セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
skustring必須

バンドルSKU。

例: kg_1
curl -i -X GET \
  https://store.xsolla.com/api/v2/project/44056/items/bundle/sku/kg_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

指定されたバンドルは正常に受信されました。

ボディapplication/json
attributesArray of objects(Catalog_client-attributes-common)

アイテムに対応する属性とその値のリスト。カタログのフィルタリングに使用できます。

デフォルト []
attributes[].​external_idstring(Catalog_admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

一意の属性ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。

例: "attribute_1"
attributes[].​namestring

属性の名前。

例: "Genre"
attributes[].​valuesArray of objects
attributes[].​values[].​external_idstring(Catalog_value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性の一意の値ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。

例: "attribute_value"
attributes[].​values[].​valuestring

属性の値。

例: "Strategy"
bundle_typestring(Catalog_bundle_type)

バンドルタイプ。この場合、それは常にstandartです。

例: "standart"
contentArray of objects(Catalog_client_content)

バンドルパッケージの内容。

例: [{"attributes":[],"description":"Big Rocket - short description.","groups":[],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","is_free":false,"name":"Big Rocket","price":{"amount":10.99,"amount_without_discount":10.99,"currency":"USD"},"quantity":100,"sku":"big_rocket","type":"virtual_currency"}]
content[].​descriptionstring

アイテム説明。

例: "Big Rocket - description"
content[].​image_urlstring

画像のURL。

例: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
content[].​namestring

アイテム名。

例: "Big Rocket"
content[].​priceobject or null

アイテム価格。

content[].​price.​amountstring

割引アイテム価格。

例: "100.99"
content[].​price.​amount_without_discountstring

アイテム価格。

例: "100.99"
content[].​price.​currencystring

デフォルトの購入通貨。ISO 4217ごとの3文字のコード。

例: "USD"
content[].​quantityinteger

パッケージ内のアイテムの数量。

例: 250
content[].​skustring

一意のアイテムID。SKUには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。

例: "big_rocket"
content[].​typestring

アイテムのタイプ:virtual_good/virtual_currency/bundle

例: "virtual_currency"
content[].​virtual_pricesArray of objects

仮想価格。

content[].​virtual_prices[].​amountinteger

仮想通貨での割引アイテム価格。

例: 100
content[].​virtual_prices[].​amount_without_discountinteger

アイテム価格。

例: 200
content[].​virtual_prices[].​descriptionstring

仮想通貨の説明。

例: "Big Rocket - description"
content[].​virtual_prices[].​image_urlstring

仮想通貨の画像。

例: "http://image.png"
content[].​virtual_prices[].​is_defaultboolean

アイテムの価格がデフォルトであるかどうか。

例: true
content[].​virtual_prices[].​namestring

仮想通貨名。

例: "SHOTGUN FOR TRUE RAIDERS"
content[].​virtual_prices[].​skustring

仮想通貨アイテムSKU。

例: "vc_test"
content[].​virtual_prices[].​typestring

仮想通貨タイプ。

例: "virtual_currency"
descriptionstring or null(Catalog_client_description)

アイテム説明。

例: "Big Rocket - description."
groupsArray of objects(Catalog_groups_response)

アイテムが属するグループ。

デフォルト []
例: [{"external_id":"horror","name":{"en":"Horror"}}]
groups[].​external_idstring
例: "horror"
groups[].​nameobject
例: {"en":"Horror"}
image_urlstring or null(Catalog_image_url)

画像のURL。

例: "https://image.example.com"
is_freestring(Catalog_is_free)

常にはfalseです。

デフォルト "false"
例: "false"
namestring(Catalog_client_name)

アイテム名。

例: "Big Rocket"
priceobject or null(Catalog_price)

アイテム価格。

price.​amountstring(Catalog_amount)^\d*\.?\d*$必須

割引アイテム価格。

例: "100.99"
price.​amount_without_discountstring(Catalog_amount_without_discount)^\d*\.?\d*$必須

アイテム価格。

例: "100.99"
price.​currencystring(Catalog_currency)必須

購入通貨。ISO 4217ごとの3文字のコード。

例: "USD"
skustring(Catalog_sku)

一意のアイテムID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。

例: "bundle_1"
total_content_priceobject or null(Catalog_total_content_price)

バンドルコンテンツの価格の合計。

total_content_price.​amountstring

バンドルコンテンツの割引価格の合計。

例: "100.99"
total_content_price.​amount_without_discountstring

バンドルコンテンツの価格の合計。

例: "100.99"
total_content_price.​currencystring(Catalog_currency)

購入通貨。ISO 4217ごとの3文字のコード。

例: "USD"
typestring(Catalog_type)

アイテムタイプ。

例: "bundle"
virtual_pricesArray of objects(Catalog_virtual_prices)

仮想価格。

virtual_prices[].​amountinteger

仮想通貨での割引アイテム価格。

例: 100
virtual_prices[].​amount_without_discountinteger

仮想通貨でのアイテム価格。

例: 200
virtual_prices[].​descriptionstring or null

仮想通貨の説明。

例: "Most popular gold"
virtual_prices[].​image_urlstring or null

仮想通貨の画像。

例: "http://image.png"
virtual_prices[].​is_defaultboolean

アイテムの価格がデフォルトであるかどうか。

例: true
virtual_prices[].​namestring

仮想通貨名。

例: "Gold"
virtual_prices[].​skustring

仮想通貨アイテムSKU。

例: "gold"
virtual_prices[].​typestring

仮想通貨タイプ。

例: "virtual_currency"
レスポンス
application/json
{ "attributes": [], "bundle_type": "standard", "content": [ {} ], "description": "pricePoint_44056_1.", "groups": [], "is_free": false, "media_list": [], "name": "kg_10.00_bundle", "order": 999, "price": { "amount": 9.99, "amount_without_discount": 9.99, "currency": "USD" }, "sku": "kg_1", "total_content_amount": { "amount": 10.99, "amount_without_discount": 10.99, "currency": "USD" }, "type": "bundle", "virtual_prices": [] }

ユーザートークン

操作
操作
操作